/// <reference types="@geoscene/core/interfaces.d.ts" />
import { Nil } from '@arcgis/components-utils';
import { GeoscenePrint } from './customElement.js';
import { FileFormatJSON, LayoutTemplate, LayoutTemplateJSON } from './types';
export declare const reGeoSceneOnlineDomain: RegExp;
export declare function isRTL(el?: HTMLElement | Nil): boolean;
export declare function getPageSizeLabel(template: __geoscene.CustomTemplate | Nil): string | undefined;
export declare function getTemplateLabel(template: __geoscene.CustomTemplate, messages: GeoscenePrint["messages"]): string;
export declare function getLayoutIcon(layout: string): string | undefined;
export declare const formatJsonMap: Map<FileFormatJSON, "eps" | "svg" | "aix" | "gif" | "jpg" | "pdf" | "png8" | "png32" | "svgz" | "tiff">;
export declare const layoutKebabDict: Map<LayoutTemplateJSON, LayoutTemplate>;
export declare function isMapOnlyLayout(layout: Nil | string): boolean;